/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.imode;

import jp.sourceforge.livez.Appli;

/**
 * iアプリ実行環境情報のインターフェースです。<p>
 * 
 * @author 杉澤 浩二
 */
public interface Iappli extends Appli {

	/**
	 * 対応している DoJa プロファイルのバージョンを返します。<p>
	 * 
	 * @return 対応 DoJa プロファイルのバージョン
	 */
	public float getVersion();

	/**
	 * 対応している DoJa プロファイルのバージョンが LE や OE 等の亜種かどうかを返します。<p>
	 * 
	 * @return 亜種かどうか
	 */
	public boolean getEdition();

	/**
	 * 使用可能な JAR サイズ容量(バイト単位)を返します。<p>
	 * 
	 * @return JAR サイズ容量(バイト単位)
	 */
	public int getMaxJarSize();

	/**
	 * 使用可能な ScratchPad 容量(バイト単位)を返します。<p>
	 * 
	 * @return ScratchPad 容量(バイト単位)
	 */
	public int getMaxScratchPadSize();

	/**
	 * 描画可能な幅を返します。<p>
	 * 
	 * @return 描画可能な幅
	 */
	public int getWidth();

	/**
	 * 描画可能な高さを返します。<p>
	 * 
	 * @return 描画可能な高さ
	 */
	public int getHeight();

}
